lkbib(1)

Name
lkbib - search bibliographic databases

Synopsis
lkbib [-n] [-i fields] [-p file] ... [-t n] key ...

lkbib --help

lkbib -v
lkbib --version

Description
lkbib searches bibliographic databases for references matching all keywords key and writes any references found to the standard output stream. It reads databases given by -p options and then (unless -n is given) a default database. The default database is taken from the REFER environment variable if it is set, otherwise it is /usr/dict/papers/Ind. For each database file to be searched, if an index file.i created by indxbib(1) exists, then it will be searched instead; each index can cover multiple databases.

Options
--help displays a usage message, while -v and --version show version information; all exit afterward.

-i string
    When searching files for which no index exists, ignore the contents of fields whose names are in string.

-n  Suppress search of default database.

-p file
    Search file. Multiple -p options can be used.

-t n
    Require only the first n characters of keys to be given. The default is 6.

Exit status
lkbib exits with status 0 on successful operation, status 2 if the program cannot interpret its command-line arguments, and status 1 if it encounters an error during operation.

Environment

REFER
    Assign this variable a file name to override the default database.

Files

/usr/dict/papers/Ind
    Default database to be used if the REFER environment variable is not set.

file.i
    Index files.

See also
“Some Applications of Inverted Indexes on the Unix System”, by M. E. Lesk, 1978, AT&T Bell Laboratories Computing Science Technical Report No. 69.

refer(1), lookbib(1), indxbib(1)